import 'package:backend_dart/application/repository/user_repository_impl.dart';
import 'package:backend_dart/domain/repository/user_repository.dart';
import 'package:backend_dart/infrastructure/persistence/database_provider.dart';
import 'package:riverpod/riverpod.dart';

final userRepoProvider = Provider<UserRepository>((ref) {
  final database = ref.read(databaseProvider);
  return UserRepositoryImpl(database);
});
