import 'package:backend_dart/application/repository/provider.dart';
import 'package:backend_dart/application/service/user_service.dart';
import 'package:riverpod/riverpod.dart';

final userServiceProvider = Provider<UserService>((ref) {
  final database = ref.read(userRepoProvider);
  return UserService(database);
});
