// ignore_for_file: no_leading_underscores_for_library_prefixes
import 'package:orm/dmmf.dart' as _i4;
import 'package:orm/engines/binary.dart' as _i5;
import 'package:orm/orm.dart' as _i1;

import 'model.dart' as _i2;
import 'prisma.dart' as _i3;

class UserDboDelegate {
  const UserDboDelegate._(this._client);

  final PrismaClient _client;

  _i1.ActionClient<_i2.UserDbo?> findUnique({
    required _i3.UserDboWhereUniqueInput where,
    _i3.UserDboSelect? select,
    _i3.UserDboInclude? include,
  }) {
    final args = {
      'where': where,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'UserDbo',
      action: _i1.JsonQueryAction.findUnique,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.UserDbo?>(
      action: 'findUniqueUserDbo',
      result: result,
      factory: (e) => e != null ? _i2.UserDbo.fromJson(e) : null,
    );
  }

  _i1.ActionClient<_i2.UserDbo> findUniqueOrThrow({
    required _i3.UserDboWhereUniqueInput where,
    _i3.UserDboSelect? select,
    _i3.UserDboInclude? include,
  }) {
    final args = {
      'where': where,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'UserDbo',
      action: _i1.JsonQueryAction.findUniqueOrThrow,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.UserDbo>(
      action: 'findUniqueUserDboOrThrow',
      result: result,
      factory: (e) => _i2.UserDbo.fromJson(e),
    );
  }

  _i1.ActionClient<_i2.UserDbo?> findFirst({
    _i3.UserDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.UserDboOrderByWithRelationInput>,
            _i3.UserDboOrderByWithRelationInput>?
        orderBy,
    _i3.UserDboWhereUniqueInput? cursor,
    int? take,
    int? skip,
    _i1.PrismaUnion<_i3.UserDboScalar, Iterable<_i3.UserDboScalar>>? distinct,
    _i3.UserDboSelect? select,
    _i3.UserDboInclude? include,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'cursor': cursor,
      'take': take,
      'skip': skip,
      'distinct': distinct,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'UserDbo',
      action: _i1.JsonQueryAction.findFirst,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.UserDbo?>(
      action: 'findFirstUserDbo',
      result: result,
      factory: (e) => e != null ? _i2.UserDbo.fromJson(e) : null,
    );
  }

  _i1.ActionClient<_i2.UserDbo> findFirstOrThrow({
    _i3.UserDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.UserDboOrderByWithRelationInput>,
            _i3.UserDboOrderByWithRelationInput>?
        orderBy,
    _i3.UserDboWhereUniqueInput? cursor,
    int? take,
    int? skip,
    _i1.PrismaUnion<_i3.UserDboScalar, Iterable<_i3.UserDboScalar>>? distinct,
    _i3.UserDboSelect? select,
    _i3.UserDboInclude? include,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'cursor': cursor,
      'take': take,
      'skip': skip,
      'distinct': distinct,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'UserDbo',
      action: _i1.JsonQueryAction.findFirstOrThrow,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.UserDbo>(
      action: 'findFirstUserDboOrThrow',
      result: result,
      factory: (e) => _i2.UserDbo.fromJson(e),
    );
  }

  _i1.ActionClient<Iterable<_i2.UserDbo>> findMany({
    _i3.UserDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.UserDboOrderByWithRelationInput>,
            _i3.UserDboOrderByWithRelationInput>?
        orderBy,
    _i3.UserDboWhereUniqueInput? cursor,
    int? take,
    int? skip,
    _i1.PrismaUnion<_i3.UserDboScalar, Iterable<_i3.UserDboScalar>>? distinct,
    _i3.UserDboSelect? select,
    _i3.UserDboInclude? include,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'cursor': cursor,
      'take': take,
      'skip': skip,
      'distinct': distinct,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'UserDbo',
      action: _i1.JsonQueryAction.findMany,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<Iterable<_i2.UserDbo>>(
      action: 'findManyUserDbo',
      result: result,
      factory: (values) =>
          (values as Iterable).map((e) => _i2.UserDbo.fromJson(e)),
    );
  }

  _i1.ActionClient<_i2.UserDbo> create({
    required _i1
        .PrismaUnion<_i3.UserDboCreateInput, _i3.UserDboUncheckedCreateInput>
        data,
    _i3.UserDboSelect? select,
    _i3.UserDboInclude? include,
  }) {
    final args = {
      'data': data,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'UserDbo',
      action: _i1.JsonQueryAction.createOne,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.UserDbo>(
      action: 'createOneUserDbo',
      result: result,
      factory: (e) => _i2.UserDbo.fromJson(e),
    );
  }

  _i1.ActionClient<_i3.AffectedRowsOutput> createMany({
    required _i1.PrismaUnion<_i3.UserDboCreateManyInput,
            Iterable<_i3.UserDboCreateManyInput>>
        data,
    bool? skipDuplicates,
  }) {
    final args = {
      'data': data,
      'skipDuplicates': skipDuplicates,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'UserDbo',
      action: _i1.JsonQueryAction.createMany,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i3.AffectedRowsOutput>(
      action: 'createManyUserDbo',
      result: result,
      factory: (e) => _i3.AffectedRowsOutput.fromJson(e),
    );
  }

  _i1.ActionClient<Iterable<_i2.CreateManyUserDboAndReturnOutputType>>
      createManyAndReturn({
    required _i1.PrismaUnion<_i3.UserDboCreateManyInput,
            Iterable<_i3.UserDboCreateManyInput>>
        data,
    bool? skipDuplicates,
    _i3.CreateManyUserDboAndReturnOutputTypeSelect? select,
  }) {
    final args = {
      'data': data,
      'skipDuplicates': skipDuplicates,
      'select': select,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'UserDbo',
      action: _i1.JsonQueryAction.createManyAndReturn,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<Iterable<_i2.CreateManyUserDboAndReturnOutputType>>(
      action: 'createManyUserDboAndReturn',
      result: result,
      factory: (values) => (values as Iterable)
          .map((e) => _i2.CreateManyUserDboAndReturnOutputType.fromJson(e)),
    );
  }

  _i1.ActionClient<_i2.UserDbo?> update({
    required _i1
        .PrismaUnion<_i3.UserDboUpdateInput, _i3.UserDboUncheckedUpdateInput>
        data,
    required _i3.UserDboWhereUniqueInput where,
    _i3.UserDboSelect? select,
    _i3.UserDboInclude? include,
  }) {
    final args = {
      'data': data,
      'where': where,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'UserDbo',
      action: _i1.JsonQueryAction.updateOne,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.UserDbo?>(
      action: 'updateOneUserDbo',
      result: result,
      factory: (e) => e != null ? _i2.UserDbo.fromJson(e) : null,
    );
  }

  _i1.ActionClient<_i3.AffectedRowsOutput> updateMany({
    required _i1.PrismaUnion<_i3.UserDboUpdateManyMutationInput,
            _i3.UserDboUncheckedUpdateManyInput>
        data,
    _i3.UserDboWhereInput? where,
  }) {
    final args = {
      'data': data,
      'where': where,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'UserDbo',
      action: _i1.JsonQueryAction.updateMany,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i3.AffectedRowsOutput>(
      action: 'updateManyUserDbo',
      result: result,
      factory: (e) => _i3.AffectedRowsOutput.fromJson(e),
    );
  }

  _i1.ActionClient<_i2.UserDbo> upsert({
    required _i3.UserDboWhereUniqueInput where,
    required _i1
        .PrismaUnion<_i3.UserDboCreateInput, _i3.UserDboUncheckedCreateInput>
        create,
    required _i1
        .PrismaUnion<_i3.UserDboUpdateInput, _i3.UserDboUncheckedUpdateInput>
        update,
    _i3.UserDboSelect? select,
    _i3.UserDboInclude? include,
  }) {
    final args = {
      'where': where,
      'create': create,
      'update': update,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'UserDbo',
      action: _i1.JsonQueryAction.upsertOne,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.UserDbo>(
      action: 'upsertOneUserDbo',
      result: result,
      factory: (e) => _i2.UserDbo.fromJson(e),
    );
  }

  _i1.ActionClient<_i2.UserDbo?> delete({
    required _i3.UserDboWhereUniqueInput where,
    _i3.UserDboSelect? select,
    _i3.UserDboInclude? include,
  }) {
    final args = {
      'where': where,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'UserDbo',
      action: _i1.JsonQueryAction.deleteOne,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.UserDbo?>(
      action: 'deleteOneUserDbo',
      result: result,
      factory: (e) => e != null ? _i2.UserDbo.fromJson(e) : null,
    );
  }

  _i1.ActionClient<_i3.AffectedRowsOutput> deleteMany(
      {_i3.UserDboWhereInput? where}) {
    final args = {'where': where};
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'UserDbo',
      action: _i1.JsonQueryAction.deleteMany,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i3.AffectedRowsOutput>(
      action: 'deleteManyUserDbo',
      result: result,
      factory: (e) => _i3.AffectedRowsOutput.fromJson(e),
    );
  }

  _i1.ActionClient<Iterable<_i3.UserDboGroupByOutputType>> groupBy({
    _i3.UserDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.UserDboOrderByWithAggregationInput>,
            _i3.UserDboOrderByWithAggregationInput>?
        orderBy,
    required _i1.PrismaUnion<Iterable<_i3.UserDboScalar>, _i3.UserDboScalar> by,
    _i3.UserDboScalarWhereWithAggregatesInput? having,
    int? take,
    int? skip,
    _i3.UserDboGroupByOutputTypeSelect? select,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'by': _i1.JsonQuery.groupBySerializer(by),
      'having': having,
      'take': take,
      'skip': skip,
      'select': select ?? _i1.JsonQuery.groupBySelectSerializer(by),
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'UserDbo',
      action: _i1.JsonQueryAction.groupBy,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<Iterable<_i3.UserDboGroupByOutputType>>(
      action: 'groupByUserDbo',
      result: result,
      factory: (values) => (values as Iterable)
          .map((e) => _i3.UserDboGroupByOutputType.fromJson(e)),
    );
  }

  _i1.ActionClient<_i3.AggregateUserDbo> aggregate({
    _i3.UserDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.UserDboOrderByWithRelationInput>,
            _i3.UserDboOrderByWithRelationInput>?
        orderBy,
    _i3.UserDboWhereUniqueInput? cursor,
    int? take,
    int? skip,
    _i3.AggregateUserDboSelect? select,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'cursor': cursor,
      'take': take,
      'skip': skip,
      'select': select,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'UserDbo',
      action: _i1.JsonQueryAction.aggregate,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i3.AggregateUserDbo>(
      action: 'aggregateUserDbo',
      result: result,
      factory: (e) => _i3.AggregateUserDbo.fromJson(e),
    );
  }
}

class ProjectDboDelegate {
  const ProjectDboDelegate._(this._client);

  final PrismaClient _client;

  _i1.ActionClient<_i2.ProjectDbo?> findUnique({
    required _i3.ProjectDboWhereUniqueInput where,
    _i3.ProjectDboSelect? select,
    _i3.ProjectDboInclude? include,
  }) {
    final args = {
      'where': where,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'ProjectDbo',
      action: _i1.JsonQueryAction.findUnique,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.ProjectDbo?>(
      action: 'findUniqueProjectDbo',
      result: result,
      factory: (e) => e != null ? _i2.ProjectDbo.fromJson(e) : null,
    );
  }

  _i1.ActionClient<_i2.ProjectDbo> findUniqueOrThrow({
    required _i3.ProjectDboWhereUniqueInput where,
    _i3.ProjectDboSelect? select,
    _i3.ProjectDboInclude? include,
  }) {
    final args = {
      'where': where,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'ProjectDbo',
      action: _i1.JsonQueryAction.findUniqueOrThrow,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.ProjectDbo>(
      action: 'findUniqueProjectDboOrThrow',
      result: result,
      factory: (e) => _i2.ProjectDbo.fromJson(e),
    );
  }

  _i1.ActionClient<_i2.ProjectDbo?> findFirst({
    _i3.ProjectDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.ProjectDboOrderByWithRelationInput>,
            _i3.ProjectDboOrderByWithRelationInput>?
        orderBy,
    _i3.ProjectDboWhereUniqueInput? cursor,
    int? take,
    int? skip,
    _i1.PrismaUnion<_i3.ProjectDboScalar, Iterable<_i3.ProjectDboScalar>>?
        distinct,
    _i3.ProjectDboSelect? select,
    _i3.ProjectDboInclude? include,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'cursor': cursor,
      'take': take,
      'skip': skip,
      'distinct': distinct,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'ProjectDbo',
      action: _i1.JsonQueryAction.findFirst,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.ProjectDbo?>(
      action: 'findFirstProjectDbo',
      result: result,
      factory: (e) => e != null ? _i2.ProjectDbo.fromJson(e) : null,
    );
  }

  _i1.ActionClient<_i2.ProjectDbo> findFirstOrThrow({
    _i3.ProjectDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.ProjectDboOrderByWithRelationInput>,
            _i3.ProjectDboOrderByWithRelationInput>?
        orderBy,
    _i3.ProjectDboWhereUniqueInput? cursor,
    int? take,
    int? skip,
    _i1.PrismaUnion<_i3.ProjectDboScalar, Iterable<_i3.ProjectDboScalar>>?
        distinct,
    _i3.ProjectDboSelect? select,
    _i3.ProjectDboInclude? include,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'cursor': cursor,
      'take': take,
      'skip': skip,
      'distinct': distinct,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'ProjectDbo',
      action: _i1.JsonQueryAction.findFirstOrThrow,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.ProjectDbo>(
      action: 'findFirstProjectDboOrThrow',
      result: result,
      factory: (e) => _i2.ProjectDbo.fromJson(e),
    );
  }

  _i1.ActionClient<Iterable<_i2.ProjectDbo>> findMany({
    _i3.ProjectDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.ProjectDboOrderByWithRelationInput>,
            _i3.ProjectDboOrderByWithRelationInput>?
        orderBy,
    _i3.ProjectDboWhereUniqueInput? cursor,
    int? take,
    int? skip,
    _i1.PrismaUnion<_i3.ProjectDboScalar, Iterable<_i3.ProjectDboScalar>>?
        distinct,
    _i3.ProjectDboSelect? select,
    _i3.ProjectDboInclude? include,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'cursor': cursor,
      'take': take,
      'skip': skip,
      'distinct': distinct,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'ProjectDbo',
      action: _i1.JsonQueryAction.findMany,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<Iterable<_i2.ProjectDbo>>(
      action: 'findManyProjectDbo',
      result: result,
      factory: (values) =>
          (values as Iterable).map((e) => _i2.ProjectDbo.fromJson(e)),
    );
  }

  _i1.ActionClient<_i2.ProjectDbo> create({
    required _i1.PrismaUnion<_i3.ProjectDboCreateInput,
            _i3.ProjectDboUncheckedCreateInput>
        data,
    _i3.ProjectDboSelect? select,
    _i3.ProjectDboInclude? include,
  }) {
    final args = {
      'data': data,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'ProjectDbo',
      action: _i1.JsonQueryAction.createOne,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.ProjectDbo>(
      action: 'createOneProjectDbo',
      result: result,
      factory: (e) => _i2.ProjectDbo.fromJson(e),
    );
  }

  _i1.ActionClient<_i3.AffectedRowsOutput> createMany({
    required _i1.PrismaUnion<_i3.ProjectDboCreateManyInput,
            Iterable<_i3.ProjectDboCreateManyInput>>
        data,
    bool? skipDuplicates,
  }) {
    final args = {
      'data': data,
      'skipDuplicates': skipDuplicates,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'ProjectDbo',
      action: _i1.JsonQueryAction.createMany,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i3.AffectedRowsOutput>(
      action: 'createManyProjectDbo',
      result: result,
      factory: (e) => _i3.AffectedRowsOutput.fromJson(e),
    );
  }

  _i1.ActionClient<Iterable<_i2.CreateManyProjectDboAndReturnOutputType>>
      createManyAndReturn({
    required _i1.PrismaUnion<_i3.ProjectDboCreateManyInput,
            Iterable<_i3.ProjectDboCreateManyInput>>
        data,
    bool? skipDuplicates,
    _i3.CreateManyProjectDboAndReturnOutputTypeSelect? select,
    _i3.CreateManyProjectDboAndReturnOutputTypeInclude? include,
  }) {
    final args = {
      'data': data,
      'skipDuplicates': skipDuplicates,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'ProjectDbo',
      action: _i1.JsonQueryAction.createManyAndReturn,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<
        Iterable<_i2.CreateManyProjectDboAndReturnOutputType>>(
      action: 'createManyProjectDboAndReturn',
      result: result,
      factory: (values) => (values as Iterable)
          .map((e) => _i2.CreateManyProjectDboAndReturnOutputType.fromJson(e)),
    );
  }

  _i1.ActionClient<_i2.ProjectDbo?> update({
    required _i1.PrismaUnion<_i3.ProjectDboUpdateInput,
            _i3.ProjectDboUncheckedUpdateInput>
        data,
    required _i3.ProjectDboWhereUniqueInput where,
    _i3.ProjectDboSelect? select,
    _i3.ProjectDboInclude? include,
  }) {
    final args = {
      'data': data,
      'where': where,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'ProjectDbo',
      action: _i1.JsonQueryAction.updateOne,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.ProjectDbo?>(
      action: 'updateOneProjectDbo',
      result: result,
      factory: (e) => e != null ? _i2.ProjectDbo.fromJson(e) : null,
    );
  }

  _i1.ActionClient<_i3.AffectedRowsOutput> updateMany({
    required _i1.PrismaUnion<_i3.ProjectDboUpdateManyMutationInput,
            _i3.ProjectDboUncheckedUpdateManyInput>
        data,
    _i3.ProjectDboWhereInput? where,
  }) {
    final args = {
      'data': data,
      'where': where,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'ProjectDbo',
      action: _i1.JsonQueryAction.updateMany,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i3.AffectedRowsOutput>(
      action: 'updateManyProjectDbo',
      result: result,
      factory: (e) => _i3.AffectedRowsOutput.fromJson(e),
    );
  }

  _i1.ActionClient<_i2.ProjectDbo> upsert({
    required _i3.ProjectDboWhereUniqueInput where,
    required _i1.PrismaUnion<_i3.ProjectDboCreateInput,
            _i3.ProjectDboUncheckedCreateInput>
        create,
    required _i1.PrismaUnion<_i3.ProjectDboUpdateInput,
            _i3.ProjectDboUncheckedUpdateInput>
        update,
    _i3.ProjectDboSelect? select,
    _i3.ProjectDboInclude? include,
  }) {
    final args = {
      'where': where,
      'create': create,
      'update': update,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'ProjectDbo',
      action: _i1.JsonQueryAction.upsertOne,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.ProjectDbo>(
      action: 'upsertOneProjectDbo',
      result: result,
      factory: (e) => _i2.ProjectDbo.fromJson(e),
    );
  }

  _i1.ActionClient<_i2.ProjectDbo?> delete({
    required _i3.ProjectDboWhereUniqueInput where,
    _i3.ProjectDboSelect? select,
    _i3.ProjectDboInclude? include,
  }) {
    final args = {
      'where': where,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'ProjectDbo',
      action: _i1.JsonQueryAction.deleteOne,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.ProjectDbo?>(
      action: 'deleteOneProjectDbo',
      result: result,
      factory: (e) => e != null ? _i2.ProjectDbo.fromJson(e) : null,
    );
  }

  _i1.ActionClient<_i3.AffectedRowsOutput> deleteMany(
      {_i3.ProjectDboWhereInput? where}) {
    final args = {'where': where};
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'ProjectDbo',
      action: _i1.JsonQueryAction.deleteMany,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i3.AffectedRowsOutput>(
      action: 'deleteManyProjectDbo',
      result: result,
      factory: (e) => _i3.AffectedRowsOutput.fromJson(e),
    );
  }

  _i1.ActionClient<Iterable<_i3.ProjectDboGroupByOutputType>> groupBy({
    _i3.ProjectDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.ProjectDboOrderByWithAggregationInput>,
            _i3.ProjectDboOrderByWithAggregationInput>?
        orderBy,
    required _i1
        .PrismaUnion<Iterable<_i3.ProjectDboScalar>, _i3.ProjectDboScalar>
        by,
    _i3.ProjectDboScalarWhereWithAggregatesInput? having,
    int? take,
    int? skip,
    _i3.ProjectDboGroupByOutputTypeSelect? select,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'by': _i1.JsonQuery.groupBySerializer(by),
      'having': having,
      'take': take,
      'skip': skip,
      'select': select ?? _i1.JsonQuery.groupBySelectSerializer(by),
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'ProjectDbo',
      action: _i1.JsonQueryAction.groupBy,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<Iterable<_i3.ProjectDboGroupByOutputType>>(
      action: 'groupByProjectDbo',
      result: result,
      factory: (values) => (values as Iterable)
          .map((e) => _i3.ProjectDboGroupByOutputType.fromJson(e)),
    );
  }

  _i1.ActionClient<_i3.AggregateProjectDbo> aggregate({
    _i3.ProjectDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.ProjectDboOrderByWithRelationInput>,
            _i3.ProjectDboOrderByWithRelationInput>?
        orderBy,
    _i3.ProjectDboWhereUniqueInput? cursor,
    int? take,
    int? skip,
    _i3.AggregateProjectDboSelect? select,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'cursor': cursor,
      'take': take,
      'skip': skip,
      'select': select,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'ProjectDbo',
      action: _i1.JsonQueryAction.aggregate,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i3.AggregateProjectDbo>(
      action: 'aggregateProjectDbo',
      result: result,
      factory: (e) => _i3.AggregateProjectDbo.fromJson(e),
    );
  }
}

class TimeEntryDboDelegate {
  const TimeEntryDboDelegate._(this._client);

  final PrismaClient _client;

  _i1.ActionClient<_i2.TimeEntryDbo?> findUnique({
    required _i3.TimeEntryDboWhereUniqueInput where,
    _i3.TimeEntryDboSelect? select,
    _i3.TimeEntryDboInclude? include,
  }) {
    final args = {
      'where': where,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TimeEntryDbo',
      action: _i1.JsonQueryAction.findUnique,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.TimeEntryDbo?>(
      action: 'findUniqueTimeEntryDbo',
      result: result,
      factory: (e) => e != null ? _i2.TimeEntryDbo.fromJson(e) : null,
    );
  }

  _i1.ActionClient<_i2.TimeEntryDbo> findUniqueOrThrow({
    required _i3.TimeEntryDboWhereUniqueInput where,
    _i3.TimeEntryDboSelect? select,
    _i3.TimeEntryDboInclude? include,
  }) {
    final args = {
      'where': where,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TimeEntryDbo',
      action: _i1.JsonQueryAction.findUniqueOrThrow,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.TimeEntryDbo>(
      action: 'findUniqueTimeEntryDboOrThrow',
      result: result,
      factory: (e) => _i2.TimeEntryDbo.fromJson(e),
    );
  }

  _i1.ActionClient<_i2.TimeEntryDbo?> findFirst({
    _i3.TimeEntryDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.TimeEntryDboOrderByWithRelationInput>,
            _i3.TimeEntryDboOrderByWithRelationInput>?
        orderBy,
    _i3.TimeEntryDboWhereUniqueInput? cursor,
    int? take,
    int? skip,
    _i1.PrismaUnion<_i3.TimeEntryDboScalar, Iterable<_i3.TimeEntryDboScalar>>?
        distinct,
    _i3.TimeEntryDboSelect? select,
    _i3.TimeEntryDboInclude? include,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'cursor': cursor,
      'take': take,
      'skip': skip,
      'distinct': distinct,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TimeEntryDbo',
      action: _i1.JsonQueryAction.findFirst,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.TimeEntryDbo?>(
      action: 'findFirstTimeEntryDbo',
      result: result,
      factory: (e) => e != null ? _i2.TimeEntryDbo.fromJson(e) : null,
    );
  }

  _i1.ActionClient<_i2.TimeEntryDbo> findFirstOrThrow({
    _i3.TimeEntryDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.TimeEntryDboOrderByWithRelationInput>,
            _i3.TimeEntryDboOrderByWithRelationInput>?
        orderBy,
    _i3.TimeEntryDboWhereUniqueInput? cursor,
    int? take,
    int? skip,
    _i1.PrismaUnion<_i3.TimeEntryDboScalar, Iterable<_i3.TimeEntryDboScalar>>?
        distinct,
    _i3.TimeEntryDboSelect? select,
    _i3.TimeEntryDboInclude? include,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'cursor': cursor,
      'take': take,
      'skip': skip,
      'distinct': distinct,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TimeEntryDbo',
      action: _i1.JsonQueryAction.findFirstOrThrow,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.TimeEntryDbo>(
      action: 'findFirstTimeEntryDboOrThrow',
      result: result,
      factory: (e) => _i2.TimeEntryDbo.fromJson(e),
    );
  }

  _i1.ActionClient<Iterable<_i2.TimeEntryDbo>> findMany({
    _i3.TimeEntryDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.TimeEntryDboOrderByWithRelationInput>,
            _i3.TimeEntryDboOrderByWithRelationInput>?
        orderBy,
    _i3.TimeEntryDboWhereUniqueInput? cursor,
    int? take,
    int? skip,
    _i1.PrismaUnion<_i3.TimeEntryDboScalar, Iterable<_i3.TimeEntryDboScalar>>?
        distinct,
    _i3.TimeEntryDboSelect? select,
    _i3.TimeEntryDboInclude? include,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'cursor': cursor,
      'take': take,
      'skip': skip,
      'distinct': distinct,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TimeEntryDbo',
      action: _i1.JsonQueryAction.findMany,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<Iterable<_i2.TimeEntryDbo>>(
      action: 'findManyTimeEntryDbo',
      result: result,
      factory: (values) =>
          (values as Iterable).map((e) => _i2.TimeEntryDbo.fromJson(e)),
    );
  }

  _i1.ActionClient<_i2.TimeEntryDbo> create({
    required _i1.PrismaUnion<_i3.TimeEntryDboCreateInput,
            _i3.TimeEntryDboUncheckedCreateInput>
        data,
    _i3.TimeEntryDboSelect? select,
    _i3.TimeEntryDboInclude? include,
  }) {
    final args = {
      'data': data,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TimeEntryDbo',
      action: _i1.JsonQueryAction.createOne,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.TimeEntryDbo>(
      action: 'createOneTimeEntryDbo',
      result: result,
      factory: (e) => _i2.TimeEntryDbo.fromJson(e),
    );
  }

  _i1.ActionClient<_i3.AffectedRowsOutput> createMany({
    required _i1.PrismaUnion<_i3.TimeEntryDboCreateManyInput,
            Iterable<_i3.TimeEntryDboCreateManyInput>>
        data,
    bool? skipDuplicates,
  }) {
    final args = {
      'data': data,
      'skipDuplicates': skipDuplicates,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TimeEntryDbo',
      action: _i1.JsonQueryAction.createMany,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i3.AffectedRowsOutput>(
      action: 'createManyTimeEntryDbo',
      result: result,
      factory: (e) => _i3.AffectedRowsOutput.fromJson(e),
    );
  }

  _i1.ActionClient<Iterable<_i2.CreateManyTimeEntryDboAndReturnOutputType>>
      createManyAndReturn({
    required _i1.PrismaUnion<_i3.TimeEntryDboCreateManyInput,
            Iterable<_i3.TimeEntryDboCreateManyInput>>
        data,
    bool? skipDuplicates,
    _i3.CreateManyTimeEntryDboAndReturnOutputTypeSelect? select,
    _i3.CreateManyTimeEntryDboAndReturnOutputTypeInclude? include,
  }) {
    final args = {
      'data': data,
      'skipDuplicates': skipDuplicates,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TimeEntryDbo',
      action: _i1.JsonQueryAction.createManyAndReturn,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<
        Iterable<_i2.CreateManyTimeEntryDboAndReturnOutputType>>(
      action: 'createManyTimeEntryDboAndReturn',
      result: result,
      factory: (values) => (values as Iterable).map(
          (e) => _i2.CreateManyTimeEntryDboAndReturnOutputType.fromJson(e)),
    );
  }

  _i1.ActionClient<_i2.TimeEntryDbo?> update({
    required _i1.PrismaUnion<_i3.TimeEntryDboUpdateInput,
            _i3.TimeEntryDboUncheckedUpdateInput>
        data,
    required _i3.TimeEntryDboWhereUniqueInput where,
    _i3.TimeEntryDboSelect? select,
    _i3.TimeEntryDboInclude? include,
  }) {
    final args = {
      'data': data,
      'where': where,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TimeEntryDbo',
      action: _i1.JsonQueryAction.updateOne,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.TimeEntryDbo?>(
      action: 'updateOneTimeEntryDbo',
      result: result,
      factory: (e) => e != null ? _i2.TimeEntryDbo.fromJson(e) : null,
    );
  }

  _i1.ActionClient<_i3.AffectedRowsOutput> updateMany({
    required _i1.PrismaUnion<_i3.TimeEntryDboUpdateManyMutationInput,
            _i3.TimeEntryDboUncheckedUpdateManyInput>
        data,
    _i3.TimeEntryDboWhereInput? where,
  }) {
    final args = {
      'data': data,
      'where': where,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TimeEntryDbo',
      action: _i1.JsonQueryAction.updateMany,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i3.AffectedRowsOutput>(
      action: 'updateManyTimeEntryDbo',
      result: result,
      factory: (e) => _i3.AffectedRowsOutput.fromJson(e),
    );
  }

  _i1.ActionClient<_i2.TimeEntryDbo> upsert({
    required _i3.TimeEntryDboWhereUniqueInput where,
    required _i1.PrismaUnion<_i3.TimeEntryDboCreateInput,
            _i3.TimeEntryDboUncheckedCreateInput>
        create,
    required _i1.PrismaUnion<_i3.TimeEntryDboUpdateInput,
            _i3.TimeEntryDboUncheckedUpdateInput>
        update,
    _i3.TimeEntryDboSelect? select,
    _i3.TimeEntryDboInclude? include,
  }) {
    final args = {
      'where': where,
      'create': create,
      'update': update,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TimeEntryDbo',
      action: _i1.JsonQueryAction.upsertOne,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.TimeEntryDbo>(
      action: 'upsertOneTimeEntryDbo',
      result: result,
      factory: (e) => _i2.TimeEntryDbo.fromJson(e),
    );
  }

  _i1.ActionClient<_i2.TimeEntryDbo?> delete({
    required _i3.TimeEntryDboWhereUniqueInput where,
    _i3.TimeEntryDboSelect? select,
    _i3.TimeEntryDboInclude? include,
  }) {
    final args = {
      'where': where,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TimeEntryDbo',
      action: _i1.JsonQueryAction.deleteOne,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.TimeEntryDbo?>(
      action: 'deleteOneTimeEntryDbo',
      result: result,
      factory: (e) => e != null ? _i2.TimeEntryDbo.fromJson(e) : null,
    );
  }

  _i1.ActionClient<_i3.AffectedRowsOutput> deleteMany(
      {_i3.TimeEntryDboWhereInput? where}) {
    final args = {'where': where};
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TimeEntryDbo',
      action: _i1.JsonQueryAction.deleteMany,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i3.AffectedRowsOutput>(
      action: 'deleteManyTimeEntryDbo',
      result: result,
      factory: (e) => _i3.AffectedRowsOutput.fromJson(e),
    );
  }

  _i1.ActionClient<Iterable<_i3.TimeEntryDboGroupByOutputType>> groupBy({
    _i3.TimeEntryDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.TimeEntryDboOrderByWithAggregationInput>,
            _i3.TimeEntryDboOrderByWithAggregationInput>?
        orderBy,
    required _i1
        .PrismaUnion<Iterable<_i3.TimeEntryDboScalar>, _i3.TimeEntryDboScalar>
        by,
    _i3.TimeEntryDboScalarWhereWithAggregatesInput? having,
    int? take,
    int? skip,
    _i3.TimeEntryDboGroupByOutputTypeSelect? select,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'by': _i1.JsonQuery.groupBySerializer(by),
      'having': having,
      'take': take,
      'skip': skip,
      'select': select ?? _i1.JsonQuery.groupBySelectSerializer(by),
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TimeEntryDbo',
      action: _i1.JsonQueryAction.groupBy,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<Iterable<_i3.TimeEntryDboGroupByOutputType>>(
      action: 'groupByTimeEntryDbo',
      result: result,
      factory: (values) => (values as Iterable)
          .map((e) => _i3.TimeEntryDboGroupByOutputType.fromJson(e)),
    );
  }

  _i1.ActionClient<_i3.AggregateTimeEntryDbo> aggregate({
    _i3.TimeEntryDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.TimeEntryDboOrderByWithRelationInput>,
            _i3.TimeEntryDboOrderByWithRelationInput>?
        orderBy,
    _i3.TimeEntryDboWhereUniqueInput? cursor,
    int? take,
    int? skip,
    _i3.AggregateTimeEntryDboSelect? select,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'cursor': cursor,
      'take': take,
      'skip': skip,
      'select': select,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TimeEntryDbo',
      action: _i1.JsonQueryAction.aggregate,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i3.AggregateTimeEntryDbo>(
      action: 'aggregateTimeEntryDbo',
      result: result,
      factory: (e) => _i3.AggregateTimeEntryDbo.fromJson(e),
    );
  }
}

class TaskDboDelegate {
  const TaskDboDelegate._(this._client);

  final PrismaClient _client;

  _i1.ActionClient<_i2.TaskDbo?> findUnique({
    required _i3.TaskDboWhereUniqueInput where,
    _i3.TaskDboSelect? select,
    _i3.TaskDboInclude? include,
  }) {
    final args = {
      'where': where,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TaskDbo',
      action: _i1.JsonQueryAction.findUnique,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.TaskDbo?>(
      action: 'findUniqueTaskDbo',
      result: result,
      factory: (e) => e != null ? _i2.TaskDbo.fromJson(e) : null,
    );
  }

  _i1.ActionClient<_i2.TaskDbo> findUniqueOrThrow({
    required _i3.TaskDboWhereUniqueInput where,
    _i3.TaskDboSelect? select,
    _i3.TaskDboInclude? include,
  }) {
    final args = {
      'where': where,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TaskDbo',
      action: _i1.JsonQueryAction.findUniqueOrThrow,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.TaskDbo>(
      action: 'findUniqueTaskDboOrThrow',
      result: result,
      factory: (e) => _i2.TaskDbo.fromJson(e),
    );
  }

  _i1.ActionClient<_i2.TaskDbo?> findFirst({
    _i3.TaskDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.TaskDboOrderByWithRelationInput>,
            _i3.TaskDboOrderByWithRelationInput>?
        orderBy,
    _i3.TaskDboWhereUniqueInput? cursor,
    int? take,
    int? skip,
    _i1.PrismaUnion<_i3.TaskDboScalar, Iterable<_i3.TaskDboScalar>>? distinct,
    _i3.TaskDboSelect? select,
    _i3.TaskDboInclude? include,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'cursor': cursor,
      'take': take,
      'skip': skip,
      'distinct': distinct,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TaskDbo',
      action: _i1.JsonQueryAction.findFirst,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.TaskDbo?>(
      action: 'findFirstTaskDbo',
      result: result,
      factory: (e) => e != null ? _i2.TaskDbo.fromJson(e) : null,
    );
  }

  _i1.ActionClient<_i2.TaskDbo> findFirstOrThrow({
    _i3.TaskDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.TaskDboOrderByWithRelationInput>,
            _i3.TaskDboOrderByWithRelationInput>?
        orderBy,
    _i3.TaskDboWhereUniqueInput? cursor,
    int? take,
    int? skip,
    _i1.PrismaUnion<_i3.TaskDboScalar, Iterable<_i3.TaskDboScalar>>? distinct,
    _i3.TaskDboSelect? select,
    _i3.TaskDboInclude? include,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'cursor': cursor,
      'take': take,
      'skip': skip,
      'distinct': distinct,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TaskDbo',
      action: _i1.JsonQueryAction.findFirstOrThrow,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.TaskDbo>(
      action: 'findFirstTaskDboOrThrow',
      result: result,
      factory: (e) => _i2.TaskDbo.fromJson(e),
    );
  }

  _i1.ActionClient<Iterable<_i2.TaskDbo>> findMany({
    _i3.TaskDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.TaskDboOrderByWithRelationInput>,
            _i3.TaskDboOrderByWithRelationInput>?
        orderBy,
    _i3.TaskDboWhereUniqueInput? cursor,
    int? take,
    int? skip,
    _i1.PrismaUnion<_i3.TaskDboScalar, Iterable<_i3.TaskDboScalar>>? distinct,
    _i3.TaskDboSelect? select,
    _i3.TaskDboInclude? include,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'cursor': cursor,
      'take': take,
      'skip': skip,
      'distinct': distinct,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TaskDbo',
      action: _i1.JsonQueryAction.findMany,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<Iterable<_i2.TaskDbo>>(
      action: 'findManyTaskDbo',
      result: result,
      factory: (values) =>
          (values as Iterable).map((e) => _i2.TaskDbo.fromJson(e)),
    );
  }

  _i1.ActionClient<_i2.TaskDbo> create({
    required _i1
        .PrismaUnion<_i3.TaskDboCreateInput, _i3.TaskDboUncheckedCreateInput>
        data,
    _i3.TaskDboSelect? select,
    _i3.TaskDboInclude? include,
  }) {
    final args = {
      'data': data,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TaskDbo',
      action: _i1.JsonQueryAction.createOne,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.TaskDbo>(
      action: 'createOneTaskDbo',
      result: result,
      factory: (e) => _i2.TaskDbo.fromJson(e),
    );
  }

  _i1.ActionClient<_i3.AffectedRowsOutput> createMany({
    required _i1.PrismaUnion<_i3.TaskDboCreateManyInput,
            Iterable<_i3.TaskDboCreateManyInput>>
        data,
    bool? skipDuplicates,
  }) {
    final args = {
      'data': data,
      'skipDuplicates': skipDuplicates,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TaskDbo',
      action: _i1.JsonQueryAction.createMany,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i3.AffectedRowsOutput>(
      action: 'createManyTaskDbo',
      result: result,
      factory: (e) => _i3.AffectedRowsOutput.fromJson(e),
    );
  }

  _i1.ActionClient<Iterable<_i2.CreateManyTaskDboAndReturnOutputType>>
      createManyAndReturn({
    required _i1.PrismaUnion<_i3.TaskDboCreateManyInput,
            Iterable<_i3.TaskDboCreateManyInput>>
        data,
    bool? skipDuplicates,
    _i3.CreateManyTaskDboAndReturnOutputTypeSelect? select,
    _i3.CreateManyTaskDboAndReturnOutputTypeInclude? include,
  }) {
    final args = {
      'data': data,
      'skipDuplicates': skipDuplicates,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TaskDbo',
      action: _i1.JsonQueryAction.createManyAndReturn,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<Iterable<_i2.CreateManyTaskDboAndReturnOutputType>>(
      action: 'createManyTaskDboAndReturn',
      result: result,
      factory: (values) => (values as Iterable)
          .map((e) => _i2.CreateManyTaskDboAndReturnOutputType.fromJson(e)),
    );
  }

  _i1.ActionClient<_i2.TaskDbo?> update({
    required _i1
        .PrismaUnion<_i3.TaskDboUpdateInput, _i3.TaskDboUncheckedUpdateInput>
        data,
    required _i3.TaskDboWhereUniqueInput where,
    _i3.TaskDboSelect? select,
    _i3.TaskDboInclude? include,
  }) {
    final args = {
      'data': data,
      'where': where,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TaskDbo',
      action: _i1.JsonQueryAction.updateOne,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.TaskDbo?>(
      action: 'updateOneTaskDbo',
      result: result,
      factory: (e) => e != null ? _i2.TaskDbo.fromJson(e) : null,
    );
  }

  _i1.ActionClient<_i3.AffectedRowsOutput> updateMany({
    required _i1.PrismaUnion<_i3.TaskDboUpdateManyMutationInput,
            _i3.TaskDboUncheckedUpdateManyInput>
        data,
    _i3.TaskDboWhereInput? where,
  }) {
    final args = {
      'data': data,
      'where': where,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TaskDbo',
      action: _i1.JsonQueryAction.updateMany,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i3.AffectedRowsOutput>(
      action: 'updateManyTaskDbo',
      result: result,
      factory: (e) => _i3.AffectedRowsOutput.fromJson(e),
    );
  }

  _i1.ActionClient<_i2.TaskDbo> upsert({
    required _i3.TaskDboWhereUniqueInput where,
    required _i1
        .PrismaUnion<_i3.TaskDboCreateInput, _i3.TaskDboUncheckedCreateInput>
        create,
    required _i1
        .PrismaUnion<_i3.TaskDboUpdateInput, _i3.TaskDboUncheckedUpdateInput>
        update,
    _i3.TaskDboSelect? select,
    _i3.TaskDboInclude? include,
  }) {
    final args = {
      'where': where,
      'create': create,
      'update': update,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TaskDbo',
      action: _i1.JsonQueryAction.upsertOne,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.TaskDbo>(
      action: 'upsertOneTaskDbo',
      result: result,
      factory: (e) => _i2.TaskDbo.fromJson(e),
    );
  }

  _i1.ActionClient<_i2.TaskDbo?> delete({
    required _i3.TaskDboWhereUniqueInput where,
    _i3.TaskDboSelect? select,
    _i3.TaskDboInclude? include,
  }) {
    final args = {
      'where': where,
      'select': select,
      'include': include,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TaskDbo',
      action: _i1.JsonQueryAction.deleteOne,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i2.TaskDbo?>(
      action: 'deleteOneTaskDbo',
      result: result,
      factory: (e) => e != null ? _i2.TaskDbo.fromJson(e) : null,
    );
  }

  _i1.ActionClient<_i3.AffectedRowsOutput> deleteMany(
      {_i3.TaskDboWhereInput? where}) {
    final args = {'where': where};
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TaskDbo',
      action: _i1.JsonQueryAction.deleteMany,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i3.AffectedRowsOutput>(
      action: 'deleteManyTaskDbo',
      result: result,
      factory: (e) => _i3.AffectedRowsOutput.fromJson(e),
    );
  }

  _i1.ActionClient<Iterable<_i3.TaskDboGroupByOutputType>> groupBy({
    _i3.TaskDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.TaskDboOrderByWithAggregationInput>,
            _i3.TaskDboOrderByWithAggregationInput>?
        orderBy,
    required _i1.PrismaUnion<Iterable<_i3.TaskDboScalar>, _i3.TaskDboScalar> by,
    _i3.TaskDboScalarWhereWithAggregatesInput? having,
    int? take,
    int? skip,
    _i3.TaskDboGroupByOutputTypeSelect? select,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'by': _i1.JsonQuery.groupBySerializer(by),
      'having': having,
      'take': take,
      'skip': skip,
      'select': select ?? _i1.JsonQuery.groupBySelectSerializer(by),
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TaskDbo',
      action: _i1.JsonQueryAction.groupBy,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<Iterable<_i3.TaskDboGroupByOutputType>>(
      action: 'groupByTaskDbo',
      result: result,
      factory: (values) => (values as Iterable)
          .map((e) => _i3.TaskDboGroupByOutputType.fromJson(e)),
    );
  }

  _i1.ActionClient<_i3.AggregateTaskDbo> aggregate({
    _i3.TaskDboWhereInput? where,
    _i1.PrismaUnion<Iterable<_i3.TaskDboOrderByWithRelationInput>,
            _i3.TaskDboOrderByWithRelationInput>?
        orderBy,
    _i3.TaskDboWhereUniqueInput? cursor,
    int? take,
    int? skip,
    _i3.AggregateTaskDboSelect? select,
  }) {
    final args = {
      'where': where,
      'orderBy': orderBy,
      'cursor': cursor,
      'take': take,
      'skip': skip,
      'select': select,
    };
    final query = _i1.serializeJsonQuery(
      args: args,
      modelName: 'TaskDbo',
      action: _i1.JsonQueryAction.aggregate,
      datamodel: PrismaClient.datamodel,
    );
    final result = _client.$engine.request(
      query,
      headers: _client.$transaction.headers,
      transaction: _client.$transaction.transaction,
    );
    return _i1.ActionClient<_i3.AggregateTaskDbo>(
      action: 'aggregateTaskDbo',
      result: result,
      factory: (e) => _i3.AggregateTaskDbo.fromJson(e),
    );
  }
}

class PrismaClient extends _i1.BasePrismaClient<PrismaClient> {
  PrismaClient({
    super.datasourceUrl,
    super.datasources,
    super.errorFormat,
    super.log,
    _i1.Engine? engine,
  }) : _engine = engine;

  static final datamodel = _i4.DataModel.fromJson({
    'enums': [],
    'models': [
      {
        'name': 'UserDbo',
        'dbName': null,
        'schema': null,
        'fields': [
          {
            'name': 'id',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': true,
            'isReadOnly': false,
            'hasDefaultValue': true,
            'type': 'String',
            'nativeType': null,
            'default': {
              'name': 'uuid',
              'args': [4],
            },
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'name',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'String',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'email',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': true,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'String',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'password',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'String',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'projects',
            'kind': 'object',
            'isList': true,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'ProjectDbo',
            'nativeType': null,
            'relationName': 'ProjectDboToUserDbo',
            'relationFromFields': [],
            'relationToFields': [],
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'timeEntries',
            'kind': 'object',
            'isList': true,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'TimeEntryDbo',
            'nativeType': null,
            'relationName': 'TimeEntryDboToUserDbo',
            'relationFromFields': [],
            'relationToFields': [],
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'createdAt',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': true,
            'type': 'DateTime',
            'nativeType': null,
            'default': {
              'name': 'now',
              'args': [],
            },
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'updatedAt',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'DateTime',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': true,
          },
        ],
        'primaryKey': null,
        'uniqueFields': [],
        'uniqueIndexes': [],
        'isGenerated': false,
      },
      {
        'name': 'ProjectDbo',
        'dbName': null,
        'schema': null,
        'fields': [
          {
            'name': 'id',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': true,
            'isReadOnly': false,
            'hasDefaultValue': true,
            'type': 'String',
            'nativeType': null,
            'default': {
              'name': 'uuid',
              'args': [4],
            },
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'name',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'String',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'description',
            'kind': 'scalar',
            'isList': false,
            'isRequired': false,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'String',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'clientId',
            'kind': 'scalar',
            'isList': false,
            'isRequired': false,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'String',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'tasks',
            'kind': 'object',
            'isList': true,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'TaskDbo',
            'nativeType': null,
            'relationName': 'ProjectDboToTaskDbo',
            'relationFromFields': [],
            'relationToFields': [],
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'timeEntries',
            'kind': 'object',
            'isList': true,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'TimeEntryDbo',
            'nativeType': null,
            'relationName': 'ProjectDboToTimeEntryDbo',
            'relationFromFields': [],
            'relationToFields': [],
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'user',
            'kind': 'object',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'UserDbo',
            'nativeType': null,
            'relationName': 'ProjectDboToUserDbo',
            'relationFromFields': ['userId'],
            'relationToFields': ['id'],
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'userId',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': true,
            'hasDefaultValue': false,
            'type': 'String',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'createdAt',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': true,
            'type': 'DateTime',
            'nativeType': null,
            'default': {
              'name': 'now',
              'args': [],
            },
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'updatedAt',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'DateTime',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': true,
          },
        ],
        'primaryKey': null,
        'uniqueFields': [],
        'uniqueIndexes': [],
        'isGenerated': false,
      },
      {
        'name': 'TimeEntryDbo',
        'dbName': null,
        'schema': null,
        'fields': [
          {
            'name': 'id',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': true,
            'isReadOnly': false,
            'hasDefaultValue': true,
            'type': 'String',
            'nativeType': null,
            'default': {
              'name': 'uuid',
              'args': [4],
            },
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'startTime',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'DateTime',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'endTime',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'DateTime',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'description',
            'kind': 'scalar',
            'isList': false,
            'isRequired': false,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'String',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'user',
            'kind': 'object',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'UserDbo',
            'nativeType': null,
            'relationName': 'TimeEntryDboToUserDbo',
            'relationFromFields': ['userId'],
            'relationToFields': ['id'],
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'userId',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': true,
            'hasDefaultValue': false,
            'type': 'String',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'project',
            'kind': 'object',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'ProjectDbo',
            'nativeType': null,
            'relationName': 'ProjectDboToTimeEntryDbo',
            'relationFromFields': ['projectId'],
            'relationToFields': ['id'],
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'projectId',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': true,
            'hasDefaultValue': false,
            'type': 'String',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'createdAt',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': true,
            'type': 'DateTime',
            'nativeType': null,
            'default': {
              'name': 'now',
              'args': [],
            },
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'updatedAt',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'DateTime',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': true,
          },
        ],
        'primaryKey': null,
        'uniqueFields': [],
        'uniqueIndexes': [],
        'isGenerated': false,
      },
      {
        'name': 'TaskDbo',
        'dbName': null,
        'schema': null,
        'fields': [
          {
            'name': 'id',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': true,
            'isReadOnly': false,
            'hasDefaultValue': true,
            'type': 'String',
            'nativeType': null,
            'default': {
              'name': 'uuid',
              'args': [4],
            },
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'name',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'String',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'description',
            'kind': 'scalar',
            'isList': false,
            'isRequired': false,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'String',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'project',
            'kind': 'object',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'ProjectDbo',
            'nativeType': null,
            'relationName': 'ProjectDboToTaskDbo',
            'relationFromFields': ['projectId'],
            'relationToFields': ['id'],
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'projectId',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': true,
            'hasDefaultValue': false,
            'type': 'String',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'createdAt',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': true,
            'type': 'DateTime',
            'nativeType': null,
            'default': {
              'name': 'now',
              'args': [],
            },
            'isGenerated': false,
            'isUpdatedAt': false,
          },
          {
            'name': 'updatedAt',
            'kind': 'scalar',
            'isList': false,
            'isRequired': true,
            'isUnique': false,
            'isId': false,
            'isReadOnly': false,
            'hasDefaultValue': false,
            'type': 'DateTime',
            'nativeType': null,
            'isGenerated': false,
            'isUpdatedAt': true,
          },
        ],
        'primaryKey': null,
        'uniqueFields': [],
        'uniqueIndexes': [],
        'isGenerated': false,
      },
    ],
    'types': [],
    'indexes': [
      {
        'model': 'UserDbo',
        'type': 'id',
        'isDefinedOnField': true,
        'fields': [
          {'name': 'id'}
        ],
      },
      {
        'model': 'UserDbo',
        'type': 'unique',
        'isDefinedOnField': true,
        'fields': [
          {'name': 'email'}
        ],
      },
      {
        'model': 'ProjectDbo',
        'type': 'id',
        'isDefinedOnField': true,
        'fields': [
          {'name': 'id'}
        ],
      },
      {
        'model': 'TimeEntryDbo',
        'type': 'id',
        'isDefinedOnField': true,
        'fields': [
          {'name': 'id'}
        ],
      },
      {
        'model': 'TaskDbo',
        'type': 'id',
        'isDefinedOnField': true,
        'fields': [
          {'name': 'id'}
        ],
      },
    ],
  });

  _i1.Engine? _engine;

  _i1.TransactionClient<PrismaClient>? _transaction;

  @override
  get $transaction {
    if (_transaction != null) return _transaction!;
    PrismaClient factory(_i1.TransactionClient<PrismaClient> transaction) {
      final client = PrismaClient(
        engine: $engine,
        datasources: $options.datasources,
        datasourceUrl: $options.datasourceUrl,
        errorFormat: $options.errorFormat,
        log: $options.logEmitter.definition,
      );
      client.$options.logEmitter = $options.logEmitter;
      client._transaction = transaction;

      return client;
    }

    return _transaction = _i1.TransactionClient<PrismaClient>($engine, factory);
  }

  @override
  get $engine => _engine ??= _i5.BinaryEngine(
        schema:
            'generator dartClient {\n  provider = "dart run orm"\n  output   = "../lib/infrastructure/persistence/db"\n}\n\ndatasource db {\n  provider = "postgresql"\n  url      = env("DATABASE_URL")\n}\n\n// User Model\nmodel UserDbo {\n  id          String         @id @default(uuid())\n  name        String\n  email       String         @unique\n  password    String\n  projects    ProjectDbo[] // Beziehung zu Projekten\n  timeEntries TimeEntryDbo[] // Beziehung zu Zeiteinträgen\n  createdAt   DateTime       @default(now())\n  updatedAt   DateTime       @updatedAt\n}\n\n// Project Model\nmodel ProjectDbo {\n  id          String         @id @default(uuid())\n  name        String\n  description String?\n  clientId    String?\n  tasks       TaskDbo[] // Beziehung zu Aufgaben\n  timeEntries TimeEntryDbo[] // Beziehung zu Zeiteinträgen\n  user        UserDbo        @relation(fields: [userId], references: [id])\n  userId      String\n  createdAt   DateTime       @default(now())\n  updatedAt   DateTime       @updatedAt\n}\n\n// TimeEntry Model\nmodel TimeEntryDbo {\n  id          String     @id @default(uuid())\n  startTime   DateTime\n  endTime     DateTime\n  description String?\n  user        UserDbo    @relation(fields: [userId], references: [id])\n  userId      String\n  project     ProjectDbo @relation(fields: [projectId], references: [id])\n  projectId   String\n  createdAt   DateTime   @default(now())\n  updatedAt   DateTime   @updatedAt\n}\n\n// Task Model (optional)\nmodel TaskDbo {\n  id          String     @id @default(uuid())\n  name        String\n  description String?\n  project     ProjectDbo @relation(fields: [projectId], references: [id])\n  projectId   String\n  createdAt   DateTime   @default(now())\n  updatedAt   DateTime   @updatedAt\n}\n',
        datasources: const {
          'db': _i1.Datasource(
            _i1.DatasourceType.environment,
            'DATABASE_URL',
          )
        },
        options: $options,
      );

  @override
  get $datamodel => datamodel;

  UserDboDelegate get userDbo => UserDboDelegate._(this);

  ProjectDboDelegate get projectDbo => ProjectDboDelegate._(this);

  TimeEntryDboDelegate get timeEntryDbo => TimeEntryDboDelegate._(this);

  TaskDboDelegate get taskDbo => TaskDboDelegate._(this);
}
